EventHttp::setCallback
EventHttp::setMaxBodySize
EventHttp
PHP Manual

# EventHttp::setDefaultCallback

(PECL event >= 1.4.0-beta)

EventHttp::setDefaultCallback — Sets default callback to handle requests that are not caught by specific callbacks

### Description

public void EventHttp::setDefaultCallback ( string `$cb` [, string `$arg` ] )

Sets default callback to handle requests that are not caught by specific callbacks

### Parameters

`cb`

  The callback callable . It should match the following prototype:

  void callback ([ EventHttpRequest `$req` = NULL [, mixed `$arg` = NULL ]] )

  `req`

    EventHttpRequest object.

  `arg`

    Custom data.

`arg`

  User custom data passed to the callback.

### Return Values

Returns `TRUE` on success. Otherwise `FALSE`.

### Examples

Example #1 EventHttp::setDefaultCallback() example

`<?php
$base = new EventBase();
$http = new EventHttp($base);
$socket = socket_create(AF_INET, SOCK_STREAM, SOL_TCP);
if (!$http->bind("127.0.0.1", 8088)) {
exit("bind(1) failed\n");
};
$http->setDefaultCallback(function($req) {
echo "URI: ", $req->getUri(), PHP_EOL;
$req->sendReply(200, "OK");
});
$base->dispatch();
?>`

### See Also

- EventHttp::setCallback() - Sets a callback for specified URI

EventHttp::setCallback
EventHttp::setMaxBodySize
EventHttp
PHP Manual